Bug 477189

Summary: [LTC 5.4 FEAT] Pick up latest version of s390-tools
Product: Red Hat Enterprise Linux 5 Reporter: IBM Bug Proxy <bugproxy>
Component: s390utilsAssignee: Dan Horák <dhorak>
Status: CLOSED ERRATA QA Contact: BaseOS QE <qe-baseos-auto>
Severity: high Docs Contact:
Priority: high    
Version: 5.4CC: bhinson, borgan, cward, hpicht, jjarvis, peterm, rlerch, rvokal, sghosh, swells, ykopkova
Target Milestone: alphaKeywords: FutureFeature, OtherQA, Rebase
Target Release: 5.4   
Hardware: s390x   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Release Note: In Red Hat Enterprise Linux 5.4, the s390utils package has been rebased to version 1.8.1. For a full list of features that this rebase provides, please refer to the Package Updates section of the Technical Notes Technical Note: In Red Hat Enterprise Linux 5.4, the s390utils package has been re-based to version 1.8.1. This new version includes such features as: - Shutdown Action Tools This feature provides tools to configure a (one-time) shutdown action via the command line, allowing for easy one-time shutdown actions without having to edit configuration files or sysfs. The new Shutdown Action Tools are: chreipl, chshut, lsreipl, lsshut - DS8000 Disk Encryption This item allows the customer, without having to ask the Storage administrator if the physical disks where his data is being stored are encrypted or not. - Shutdown actions interface (userspace tools) Update to dumpconf, part of s390-tools, to support Shutdown actions interface (kernel). This features improves the flexibility of VMCMD, which was before restricted to one command. This update allows to introduce up to 5 VM commands. For example: ON_PANIC=vmcmd VMCMD_1='MSG * Starting VMDUMP' VMCMD_2='VMDUMP' VMCMD_3='IPL 4711' - Large image dump on DASD Newer hardware systems allow many terabytes of main memory, which is unable to previously be dumped to DASD. This feature proves new options for zipl and zgetdump to generate read and multi-volume dumps, eliminating restrictions on main memory. - Added vmconvert option to vmur tool This feature modifies the vmur tool to automatically convert vmdumps when requested. This is implemented by adding an option to the vmur tool, that when set, inteprets dat read from the vm reader and converts that dump immediately using vmconvert. This feature provides a simpler method for access to problem analysis data, which results in faster problem determination. - FCP Performance Data Collection & Analysis (userspace) This item will make possible to have a better understanding of the SCSi activities and performance of end systems, being able afterward to better solve FCP issues regarding SCSI workloads. - TTY Terminal Server over IUCV (userspace) This implements client & server for a TTY terminal server under z/VM using IUCV as the communication vehicle. This is accomplished by implementing a terminal server running on a dedicated z/VM guest. The terminal server accepts connections via the normal network and uses the AF_IUCV socket API to provide console session access to Red Hat Enterprise Linux guests. The TTY over IUCV was implemented to solve concurrent access contention to the Linux console for many Linux Administrators, who frequently find the z/VM 3270 interface inadequate. - DS8000 Large Volume Support Other enhancements in this rebase include: * lscss: Show also non-IO subchannels * lsdasd: New output format * lstape: Show also SCSI tapes * zipl dump tools: SCLP console support + MV support * networking tools: Adjust to new qeth driver (not needed) * DASD tools: Large volume support (not needed) * dump tools: Add support for "Automatic IPL after dump" * DASD related tools: Add Large Volume Support for ECKD DASDs * vmur: Add "--convert" option * lsluns: Add "--active" option * dasdview: Add "--characteristic" option * tunedasd: Normalize profile data * ziorep_config: Fix the ignore case settings for vommand-line parameters * ziorep_config: Fix incomplete pattern matching leading to worng results * ziorep_config: Fix wrong sysfs attribute usage * blkiomon: Fix aggregation of blkiomon data, was omitting final bucket * ziorep_traffic: Fix error message for unknown chipids * ziorep_traffic: Fix broken '-u' parameter * ziomon: Fix multipath device resolution * ziorep_traffic & ziorep_utilization: Fix daylight savings time issue when handling data from a differen DST setting * ziorep_traffic: Write all errors to stderr * ziomon: Adjust estimate of .log file * ziorep_traffic & ziorep_utilization: Adjust starting time as reported by summary reports * ziorep_traffic & ziorep_utilization: Drop excess data in case of user- specified intervals not matching data boundaries
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-02 05:58:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 472898    
Bug Blocks: 445204, 468301, 474679, 474942, 475333, 475552, 475556, 475557, 475558, 475564, 475569, 475571, 475670, 483784    
Attachments:
Description Flags
s390-tools-1.8.1-v1.tar.bz2
none
s390-tools-1.8.1.tar.bz2
none
s390utils.spec-final.patch
none
s390-tools-rhel5-ziorep-regression-fixes.patch
none
s390-tools-rhel5-U4-ziomon-fixes-1.patch
none
s390-tools-rhel5-U4-zipl-fix-unsupported-device-driver.patch
none
s390-tools-rhel5-U4-zipl-kdump-man.patch
none
s390-tools-rhel5-iucvterm-getlogin_to_getpwuid.patch
none
s390-tools-rhel5-dumpconf_improve_error_checking.patch
none
s390-tools-rhel5-cpuplugd-memplug.patch
none
s390-tools-rhel5-ziomon-new-blkiomon.patch none

Description IBM Bug Proxy 2008-12-19 10:21:37 EST
=Comment: #0=================================================
Hans-Georg Markgraf <mgrf@de.ibm.com> - 
1. Feature Overview:
Feature Id:	 [201674 ]
a. Name of Feature:	Pick up latest version of s390-tools 
b. Feature Description
The s390-tools is a package with a set of user space utilities to be used with the Linux on System z
distributions. It is available in IBM's developerworks site:
http://www.ibm.com/developerworks/linux/linux390/s390-tools.html 
(RH pkg s390utils)

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390 native
s390x

Arch Specificity: Affects Installer
Category:	Other 
Request Type:	Package - Update Version from IBM
d. Upstream Acceptance:  Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	s390tools 1.8.0		

3. Business Case
This tools are needed to make use of and configure the features exploiting System z arch., so they
are critical since without them the system cannot even get properly installed or serviced. 
See also RH BZ 474942, 475552, 475558, 475569, and 475571 for specific features of s390tools of
interest.

4. Primary contact at Red Hat
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 John Jarvis 2008-12-19 10:36:37 EST
IBM is signed up to test and provide feedback.
Comment 2 Dan Horák 2008-12-19 10:47:11 EST
set this bug as a "blocker" for all the [LTC 5.4 FEAT] ones
Comment 5 IBM Bug Proxy 2009-01-22 04:40:30 EST
As discussed in yesterdays Red Hat  call

The code for this feature should not be send before a decision from Red Hat to pick up latest version of s390-tools.

The same applies for the feature requests with code in s390-tools
Comment 8 IBM Bug Proxy 2009-01-29 11:01:20 EST
*** Bug 50305 has been marked as a duplicate of this bug. ***
Comment 9 John Jarvis 2009-01-29 16:12:14 EST
*** Bug 475571 has been marked as a duplicate of this bug. ***
Comment 10 John Jarvis 2009-01-29 16:16:53 EST
*** Bug 474679 has been marked as a duplicate of this bug. ***
Comment 11 John Jarvis 2009-01-29 16:17:06 EST
*** Bug 474942 has been marked as a duplicate of this bug. ***
Comment 12 John Jarvis 2009-01-29 16:17:18 EST
*** Bug 475333 has been marked as a duplicate of this bug. ***
Comment 13 John Jarvis 2009-01-29 16:17:33 EST
*** Bug 475552 has been marked as a duplicate of this bug. ***
Comment 14 John Jarvis 2009-01-29 16:17:43 EST
*** Bug 475556 has been marked as a duplicate of this bug. ***
Comment 15 John Jarvis 2009-01-29 16:17:51 EST
*** Bug 475557 has been marked as a duplicate of this bug. ***
Comment 16 John Jarvis 2009-01-29 16:18:01 EST
*** Bug 475558 has been marked as a duplicate of this bug. ***
Comment 17 John Jarvis 2009-01-29 16:18:13 EST
*** Bug 475564 has been marked as a duplicate of this bug. ***
Comment 18 John Jarvis 2009-01-29 16:18:27 EST
*** Bug 475569 has been marked as a duplicate of this bug. ***
Comment 19 IBM Bug Proxy 2009-01-29 16:23:15 EST
Emily J. Ratliff <ratliff@austin.ibm.com> -
Feature Id:	[201755]
a. Name of Feature:	Shutdown actions tools
This feature provides tools to configure a (one-time) shutdown action via the command line.
The shutdown action should by default not be made permanent (i.e it will not be added to the
respective configuration files). Instead the tool should only write the resulting information to the
respective sysfs files. If requested by the user, a change to the shutdown action configuration
files should be made as well.

The advantage of this extra tool is
a) online documentation via a man page
b) easy configuration of a one-time shutdown action without having to understand configuration file
format and syfs interface

The new tools are: chreipl, chshut, lsreipl and lsshut.


Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Backport
Category:	RAS
Request Type:	Package - Feature from IBM
d. Upstream Acceptance:	Accepted

This features enhance capability of system administration tasks and enhances ease of use, improving
the customer satisfaction.

4. Primary contact at Red Hat:



closing as duplicate of BZ 477189 [LTC 5.4 FEAT] Pick up latest version of
s390-tools since we plan to rebase s390utils in RHEL 5.4

*** This bug has been marked as a duplicate of 477189 ***
Comment 21 IBM Bug Proxy 2009-02-05 08:53:55 EST
Created attachment 330986 [details]
s390-tools-1.8.1-v1.tar.bz2



First version of the s390-tools-1.8.1 upstream package.
Comment 22 IBM Bug Proxy 2009-02-09 06:11:31 EST
Feature Id:	[201740]
a. Name of Feature:	DS8000 Disk Encryption
This item enhances s390-tools to be able to display if the Storage has its disk encrypted or not.


Category:	Total Storage
IBM Confidential:	yes

This item allows the customer, without having to ask the Storage administrator if the physical disks
where his data is being stored are encrypted or not.




For legal reasons this may get late code,
actual outlook it may be post month end, or early February.

As per yesterdays Red Hat call it is ok to send the code about mid of February



Red Hat accepted to take s390-tools as a package for RHEL 5.4
Closing feature request as dup to
LTC 50791  -  RHBZ 477189   [LTC 5.4 FEAT] Pick up latest version of s390-tools
[201674]

*** This bug has been marked as a duplicate of bug 50791 ***
Comment 23 IBM Bug Proxy 2009-02-09 06:11:58 EST
*** Bug 50363 has been marked as a duplicate of this bug. ***


*** Bug 50362 has been marked as a duplicate of this bug. ***


*** Bug 50360 has been marked as a duplicate of this bug. ***


*** Bug 50358 has been marked as a duplicate of this bug. ***


*** Bug 50356 has been marked as a duplicate of this bug. ***
Comment 24 IBM Bug Proxy 2009-02-09 06:12:28 EST
Feature Id:	[201748]
a. Name of Feature:	Shutdown actions interface (userspace)
Update to dumpconf, part of s390-tools, to support Shutdown actions interface (kernel)

This update allows to introduce up to 5 VM commands. For example:
ON_PANIC=vmcmd
VMCMD_1='MSG * Starting VMDUMP'
VMCMD_2='VMDUMP'
VMCMD_3='IPL 4711'


Delivery Mechanism: Direct from community
d. Upstream Acceptance:	No Code Required
g. Component Version Target:	n/a

This features improves the flexibility of VMCMD, which was before restricted to one command.




dependent on https://bugzilla.redhat.com/show_bug.cgi?id=475563
Comment 25 IBM Bug Proxy 2009-02-09 06:13:10 EST
Feature Id:	[201752]
a. Name of Feature:	Large image dump on DASD
Newer HW systems allow much TB of main memory, which with the actual dumper is not possible to dump
(need for service) on a DASD.

This feature provide new options for zipl and zgetdump to generate and read multi volumes dumps, so
that there are no restriction on the main memory.



Customer won't be restricted to a maximum of DASD dump, which will provide better serviceability for
DASD only customers.




closing as duplicate of BZ 477189 [LTC 5.4 FEAT] Pick up latest version of s390-tools since we plan to rebase s390utils in RHEL 5.4
Comment 26 IBM Bug Proxy 2009-02-09 06:13:49 EST
Feature Id:	[201758]
a. Name of Feature:	Add vmconvert option to vmur tool
This feature modifies the vmur tool to automatically convert vmdumps when requested. This is
implemented by adding an option to the vmur tool that when set interprets data read from the vm
reader as a dump written by vmdump and  converts that dump immediately using vmconvert.



This feature provides a simpler way for access to problem analysis data, which result on a faster
problem determination and better service for the customer.
Comment 27 IBM Bug Proxy 2009-02-09 06:21:29 EST
Feature Id:	[201591]
a. Name of Feature:	FCP - Performance Data collection & analysis (userspace)
The item comprises: a) facilities which provide performance relevant data (see below) at any time b)
facilities which collect the data provided by a), then associate it with a time stamp and and store
it for future processing - these facilities are configurable in regard of the type and amount of
data collected for the purpose of reducing the amount of temporarily stored data. - when data is
taken as samples, the sampling interval is configurable - collected data can be filtered by e.g
masks for valid stack components (see below) before data is stored for further processing c)
facilities which present the data stored by b) in a human readable way. d) Data presented shall
contain enough information to make FCP performance data comparable with current capabilities of
FICON data collections. Data collected comprises: a) Performance relevant data about stack
components as Linux devices, SCSI LUNs and HBA and storage controller information b) Per stack
component: current values of relevant measurements as throughput, utilization and other applicable
measurements c) Statistical aggregations (min, max average, histogram) of data associated with I/O
requests as size, latency per component and in total.


Category:	zSeries
Request Type:	Package - Feature from Upstream
g. Component Version Target:	s390tools 1.7.x

This item will make possible to have a better understanding of the SCSI activities and performance
of the customer system, being able afterward to better solve FCP issues regarding customer's SCSI
workloads.





This feature has corresponding feature requests.
All three features are required to implement the requested functionality

201590	FCP - Performance Data collection  (kernel)	   LTC 50339
RHBZ 475334

201729	FCP - Performance data collection (blktrace)  LTC 50351
RHBZ 475548
Comment 28 IBM Bug Proxy 2009-02-09 06:21:57 EST
*** Bug 50354 has been marked as a duplicate of this bug. ***


*** Bug 50340 has been marked as a duplicate of this bug. ***
Comment 29 IBM Bug Proxy 2009-02-09 06:22:38 EST
Feature Id:	[201735]
a. Name of Feature:	TTY terminal server over IUCV (userspace)
Implement client & server for a TTY terminal server under z/VM using IUCV as communication vehicle.

This line item implements the terminal server running on a dedicated z/VM guest.
The terminal server is a user space program that accepts connections via the normal network and
uses the AF_IUCV socket API to provide a console session to the Linux guests of the z/VM system that
are enabled for the IUCV console.

Additional Comments:	This is the userspace part for the kernel feature: 201734 - TTY terminal server
over IUCV - kernel



Customer requirement to solve restriction to access to the Linux console for many Linux
administrators concurrently and they find the z/VM 3270 interface inadequate for the 200+ Linux
admins due to the inability to use common programs such as vi from this interface. The customer has
a requirement that the Linux system that needs to have its console accessed, will have its TCPIP
stack shutdown, so the solution can not involve an IP connection to that system IP stack.




Co-dependent on https://bugzilla.redhat.com/show_bug.cgi?id=475551
Comment 32 IBM Bug Proxy 2009-02-09 07:51:07 EST
*** Bug 50352 has been marked as a duplicate of this bug. ***
Comment 33 IBM Bug Proxy 2009-02-09 07:51:36 EST
Feature Id:	[201730]
a. Name of Feature:	FCP - Performance data reports
The item comprises facilities (included in s390-tools) which present the data stored by 'FCP -
Performance data collection' in  a human readable way.

Data presented comprises:

a) Performance relevant data about stack components as Linux devices, SCSI LUNs and HBA and storage
controller information

b) Per stack component: current values of relevant measurements as throughput, utilization and
other applicable measurements

c) Statistical aggregations (min, max average, histogram) of data associated with I/O requests as
size, latency per component and in total.


Arch Specificity: Both
d. Upstream Acceptance:	In Progress
g. Component Version Target:	s390tools
Comment 34 IBM Bug Proxy 2009-02-09 09:11:21 EST
*** Bug 51502 has been marked as a duplicate of this bug. ***
Comment 35 Dan Horák 2009-02-13 04:00:18 EST
Adding dependencies from comment #27
Comment 36 John Jarvis 2009-03-02 13:00:00 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 37 John Jarvis 2009-03-05 14:36:37 EST
*** Bug 484296 has been marked as a duplicate of this bug. ***
Comment 38 IBM Bug Proxy 2009-04-01 07:21:14 EDT
Created attachment 337491 [details]
s390-tools-1.8.1.tar.bz2


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-04-01 07:16 EDT-------


Final s390-tools 1.8.1 package. Changes to version 1:
* dasdfmt: Add -P option
* dasdfmt: Add --norecordzero option (tools part or BZ 474157)
* Unification of --version option
* Add DISTRELEASE to s390-tools version number
* Remove Linux 2.4 support from osasnmpd, qetharp and qethconf
* Minor fixes
Comment 39 IBM Bug Proxy 2009-04-01 07:21:24 EDT
Created attachment 337492 [details]
s390utils.spec-final.patch


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-04-01 07:18 EDT-------


This patch for the s390utils-1.8.1 SPEC file does the following:
* Use final 1.8.1 tarball
* Define DISTRELEASE for "make" and "make install"
* Remove 0008-s390-tools-1.8.1-dasdfmt-percentage.patch, because it is now included
  in base package.
Comment 40 IBM Bug Proxy 2009-04-02 03:22:23 EDT
Feature Id:	[201132]
a. Name of Feature:	Dynamic CPU hotplug daemon for System z
A daemon monitoring workload and plugs and unplugs (virtual) CPUs driven by current demand for
processing units. This dynamic hotplug daemon for workload optimization in a SMP environment -
should be part of s390utils.


g. Component Version Target:	s390tools 1.6.3
Performance Assistance:	yes

This is a requirement from customers that want to run game servers on Linux on System z.




This appears to have been open for a year now with no action.  Is there an update?
(In reply to comment #1)
> This appears to have been open for a year now with no action.  Is there an
> update?

Apparently I need to read dates more carefully.  But it still has been sitting for a month.
Red Hat decided to take s390-tools as a package for RHEL 5.4  instead of single backports.
With that this feature request is a duplicate  to
LTC 50791   -  [LTC 5.4 FEAT] Pick up latest version of s390-tools [201674]

Closing this feature request as DUP .
Comment 41 IBM Bug Proxy 2009-04-20 08:51:54 EDT
Created attachment 340335 [details]
s390-tools-rhel5-ziorep-regression-fixes.patch


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-04-20 08:45 EDT-------


This patch fixes the following problems in ziomon:
- ziorep_config: Fix the ignore case settings for vommand-line parameters
- ziorep_config: Fix incomplete pattern matching leading to worng results
- ziorep_config: Fix wrong sysfs attribute usage
- blkiomon: Fix aggregation of blkiomon data, was omitting final bucket
- ziorep_traffic: Fix error message for unknown chipids
- ziorep_traffic: Fix broken '-u' parameter
- ziomon: Fix multipath device resolution
- ziorep_traffic & ziorep_utilization: Fix daylight savings time issue
  when handling data from a differen DST setting
- ziorep_traffic: Write all errors to stderr
- ziomon: Adjust estimate of .log file
- ziorep_traffic & ziorep_utilization: Adjust starting time as reported
  by summary reports
- ziorep_traffic & ziorep_utilization: Drop excess data in case of user-
  specified intervals not matching data boundaries
Comment 43 IBM Bug Proxy 2009-05-11 04:21:23 EDT
Feature Id:	[201738]
a. Name of Feature:	DS8000 support: Large volume support (userspace)
Tooling (s390-tools) for DS8000 large volume support



The customer will be able to use DASD/ECKD disk bigger than 50GB for their large amount of data, not
needing to combine various disks and having a better performance and data consolidation.




As discussed in yesterdays call, this feature request need to be deferred to RHEL 5.5.
John plans to open a RHEL 5.5 Tracker BZ and connect that to this feature BZ to use this request for RHEL 5.5

I set this to defer for now, to re-open for RHEL 5.5 feature submission
Comment 44 IBM Bug Proxy 2009-05-27 06:31:33 EDT
Created attachment 345593 [details]
s390-tools-rhel5-U4-ziomon-fixes-1.patch


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-05-27 06:27 EDT-------


This patch fixes the following problems in ziomon:
- add check for correct blkiomon version (0.2)
- add check for running cpuplugd
- add check for sufficient Vmalloc space
- improve blktrace error detection
- fix array out of bounds condition
- typo edits
Comment 45 Chris Ward 2009-06-14 19:19:22 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 46 IBM Bug Proxy 2009-06-15 07:52:03 EDT
Created attachment 347920 [details]
s390-tools-rhel5-U4-zipl-fix-unsupported-device-driver.patch


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-06-15 07:47 EDT-------


Description: zipl: zipl does not exit for an unsupported device driver.
Symptom:     zipl does not exit with an error when it is run against a
             target device which is provided by an unsupported device driver
             (e.g. device-mapper). The resulting IPL records might be
             incorrect and filesystem corruption may occur.
Problem:     The device driver name check does not cause an error when the
             device driver name is unknown and the device is not a
             partition.
Solution:    Change the device driver name check to write an error message
             and to exit when it finds an unknown device driver name.
Problem-ID:  53660
Comment 47 John Jarvis 2009-06-15 09:34:12 EDT
If this is an additional patch that needs to be applied, it should go into a new bug report rather than into this existing one so it does not get missed.
Comment 48 Dan Horák 2009-06-15 09:46:44 EDT
(In reply to comment #47)
> If this is an additional patch that needs to be applied, it should go into a
> new bug report rather than into this existing one so it does not get missed.  

John, I am carefully checking this bug and I am also in email contact with Michael from IBM, so the patch will not get missed.
Comment 49 John Jarvis 2009-06-15 11:02:02 EDT
Okay, sounds good.
Comment 50 IBM Bug Proxy 2009-06-17 11:41:36 EDT
------- Comment From michael.holzheu@de.ibm.com 2009-06-17 11:38 EDT-------
Hi Dan,

Beginning with kernel-kdump-2.6.18-153.el5, the zfcpdump softlink is created by the kdump kernel rpm (see Redhat Bugzilla 293929 - Fix various problems related to zfcpdump (s390 kdump) kernel package).

Therefore we should remove the s390utils patch "0007-s390-tools-1.8.1-zfcpdump-link.patch" that creates the link in the dumpconf script and updates the zipl man page.
Comment 52 IBM Bug Proxy 2009-06-18 04:51:40 EDT
Created attachment 348393 [details]
s390-tools-rhel5-U4-zipl-kdump-man.patch


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-06-18 04:47 EDT-------


After we have removed "0007-s390-tools-1.8.1-zfcpdump-link.patch", we should add the following patch that describes the required installation of the kdump kernel rpm in the zipl man page:

Description: Add kdump kernel installation instruction to zipl man page
Symptom:     User wants to prepare SCSI disk for dump, but has not installed
             the kdump kernel rpm.
Problem:     The installation of the kdump kernel rpm is prereq for preparing
             a SCSI dump disk for dump.
Solution:    Document that in the zipl man page.
Comment 55 IBM Bug Proxy 2009-06-22 15:06:29 EDT
Created attachment 348972 [details]
s390-tools-rhel5-iucvterm-getlogin_to_getpwuid.patch


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-06-22 05:29 EDT-------


Description: iucvconn: Replace getlogin() with getpwuid(geteuid())
Symptom:     The user name is not always logged to syslog.
Problem:     The getlogin() function returns the name of the user that
             is logged in. This user name is used to write syslog records.
             getlogin() retrieves the user information from the utmp
             database. However, the user information might not always be
             available, for example, the screen program can remove utmp
             records (logoff function).
Solution:    The getpwuid() function is used to get the user name from the
             passwd file (or any other NSS source, i.e. LDAP etc.).
Comment 56 IBM Bug Proxy 2009-06-22 15:06:40 EDT
Created attachment 348973 [details]
s390-tools-rhel5-dumpconf_improve_error_checking.patch


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-06-22 05:48 EDT-------


Description: dumpconf: Improve parameter checking and error messages.
Symptom:     Ugly and confusing error messages on systems which do not support
             the dump_reipl shutdown action.
Problem:     Error handling is incomplete.
Solution:    The dumpconf init script now validates the syntax of the device
             specified in the config file.
Comment 57 IBM Bug Proxy 2009-06-22 15:06:48 EDT
Created attachment 348974 [details]
s390-tools-rhel5-cpuplugd-memplug.patch


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-06-22 05:48 EDT-------


Description: cpuplugd: Daemon does not work in an memplug only environment.
Symptom:     When the cpuplugd daemon is executed with only the memory
             configuration in cpuplugd.conf it does not start properly.
Problem:     A bug in the configuration file parser prevents this valid
             user specified setup.
Solution:    Adjust the configuration file parser, to accept this type of
             system configuration.
Comment 58 IBM Bug Proxy 2009-06-22 15:06:57 EDT
Created attachment 348975 [details]
s390-tools-rhel5-ziomon-new-blkiomon.patch


------- Comment on attachment From michael.holzheu@de.ibm.com 2009-06-22 06:37 EDT-------


Description: ziomon: Adjust to use blkiomon V0.3.
Symptom:     ziomon will not start, complaining about wrong blkiomon version,
Problem:     ziomon requires blkiomon V0.2, RHEL 5.4 ships with V0.3.
Solution:    Adjust ziomon to work with blkiomon V0.3 and bump version
             number of .log file for compatibility.
Comment 59 Dan Horák 2009-06-26 04:39:16 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
In Red Hat Enterprise Linux 5.4, a rebased s390utils package has been introduced. It brings various incremental enhancements to existing tools and adds few new management and monitoring tools, like cpuplugd, ziomon, IPL tools and iucvterm, that allow to effectively use the System z and z/VM capabilities in combination with Red Hat Enterprise Linux.
Comment 60 Chris Ward 2009-07-03 14:18:43 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 61 IBM Bug Proxy 2009-07-06 05:01:52 EDT
------- Comment From michael.holzheu@de.ibm.com 2009-07-06 04:56 EDT-------
Checked beta1: s390utils-1.8.1-7.el5.src.rpm
Everything included. Thanks!
Comment 62 Shawn Wells 2009-07-06 18:43:50 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,69 @@
-In Red Hat Enterprise Linux 5.4, a rebased s390utils package has been introduced. It brings various incremental enhancements to existing tools and adds few new management and monitoring tools, like cpuplugd, ziomon, IPL tools and iucvterm, that allow to effectively use the System z and z/VM capabilities in combination with Red Hat Enterprise Linux.+In Red Hat Enterprise Linux 5.4, the s390utils package has been re-based to versio 1.8.1. This new version includes such features as:
+
+- Shutdown Action Tools
+This feature provides tools to configure a (one-time) shutdown action via the
+command line, allowing for easy one-time shutdown actions without having to edit configuration files or sysfs.
+
+The new Shutdown Action Tools are: chreipl, chshut, lsreipl, lsshut
+
+
+- DS8000 Disk Encryption
+This item allows the customer, without having to ask the Storage administrator
+if the physical disks where his data is being stored are encrypted or not.
+
+
+- Shutdown actions interface (userspace tools)
+Update to dumpconf, part of s390-tools, to support Shutdown actions interface (kernel). This features improves the flexibility of VMCMD, which was before restricted to
+one command.
+
+This update allows to introduce up to 5 VM commands. For example:
+ON_PANIC=vmcmd
+VMCMD_1='MSG * Starting VMDUMP'
+VMCMD_2='VMDUMP'
+VMCMD_3='IPL 4711'
+
+- Large image dump on DASD
+Newer hardware systems allow many terabytes of main memory, which is unable to previously be dumped to DASD. This feature proves new options for zipl and zgetdump to generate read and multi-volume dumps, eliminating restrictions on main memory.
+
+- Added vmconvert option to vmur tool
+This feature modifies the vmur tool to automatically convert vmdumps when requested. This is implemented by adding an option to the vmur tool, that when set, inteprets dat read from the vm reader and converts that dump immediately using vmconvert. This feature provides a simpler method for access to problem analysis data, which results in faster problem determination.
+
+- FCP Performance Data Collection & Analysis (userspace)
+This item will make possible to have a better understanding of the SCSi activities and performance of end systems, being able afterward to better solve FCP issues regarding SCSI workloads.
+
+- TTY Terminal Server over IUCV (userspace)
+This implements client & server for a TTY terminal server under z/VM using IUCV as the communication vehicle. This is accomplished by implementing a terminal server running on a dedicated z/VM guest. The terminal server accepts connections via the normal network and uses the AF_IUCV socket API to provide console session access to Red Hat Enterprise Linux guests.
+
+The TTY over IUCV was implemented to solve concurrent access contention to the Linux console for many Linux Administrators, who frequently find the z/VM 3270 interface inadequate.
+
+- DS8000 Large Volume Support
+
+
+Other enhancements in this rebase include:
+* lscss: Show also non-IO subchannels
+* lsdasd: New output format
+* lstape: Show also SCSI tapes
+* zipl dump tools: SCLP console support + MV support
+* networking tools: Adjust to new qeth driver (not needed)
+* DASD tools: Large volume support (not needed)
+* dump tools: Add support for "Automatic IPL after dump"
+* DASD related tools: Add Large Volume Support for ECKD DASDs
+* vmur: Add "--convert" option
+* lsluns: Add "--active" option
+* dasdview: Add "--characteristic" option
+* tunedasd: Normalize profile data
+* ziorep_config: Fix the ignore case settings for vommand-line parameters
+* ziorep_config: Fix incomplete pattern matching leading to worng results
+* ziorep_config: Fix wrong sysfs attribute usage
+* blkiomon: Fix aggregation of blkiomon data, was omitting final bucket
+* ziorep_traffic: Fix error message for unknown chipids
+* ziorep_traffic: Fix broken '-u' parameter
+* ziomon: Fix multipath device resolution
+* ziorep_traffic & ziorep_utilization: Fix daylight savings time issue
+  when handling data from a differen DST setting
+* ziorep_traffic: Write all errors to stderr
+* ziomon: Adjust estimate of .log file
+* ziorep_traffic & ziorep_utilization: Adjust starting time as reported
+  by summary reports
+* ziorep_traffic & ziorep_utilization: Drop excess data in case of user-
+  specified intervals not matching data boundaries
Comment 63 IBM Bug Proxy 2009-07-07 07:12:05 EDT
------- Comment From michael.holzheu@de.ibm.com 2009-07-07 07:03 EDT-------
I found some typos and inconsistencies:
* I wouldn't list ziomon/ziorep fixes, because the tools are new in RHEL5.
* I wouldn't list items at the end that have already be described before (e.g. vmur --convert).
* VMCMD is the first time available for RHEL5. Therefore the sentence "This features improves the flexibility of VMCMD, which was before restricted to one command." is not correct.
* We should not mention "DS8000 Large Volume Support" at all, because in RHEL5.4 we do not have the DASD driver support for that feature. Therefore the support in s390-tools has no effect.

Here my proposal as patch:

--- rl.orig     2009-07-07 12:37:34.000000000 +0200
+++ rl.new      2009-07-07 13:03:16.000000000 +0200
@@ -9,17 +9,13 @@

The new Shutdown Action Tools are: chreipl, chshut, lsreipl, lsshut

-
- DS8000 Disk Encryption
-This item allows the customer, without having to ask the Storage administrator
-if the physical disks where his data is being stored are encrypted or not.
-
+This item allows the customer to query, if the physical disks where his data is being stored are encrypted or not, without having to ask the Storage administrator. This feature is provided by the tools "dasdview" (--characteristic option)
+and "lsluns" (--active option).

- Shutdown actions interface (userspace tools)
-Update to dumpconf, part of s390-tools, to support Shutdown actions interface
-(kernel). This features improves the flexibility of VMCMD, which was before
-restricted to
-one command.
+Update to dumpconf, part of s390-tools, to support the enhanced shutdown actions interface
+(kernel).

This update allows to introduce up to 5 VM commands. For example:
ON_PANIC=vmcmd
@@ -29,19 +25,20 @@

- Large image dump on DASD
Newer hardware systems allow many terabytes of main memory, which is unable to
-previously be dumped to DASD. This feature proves new options for zipl and
-zgetdump to generate read and multi-volume dumps, eliminating restrictions on
+previously be dumped to DASD. This feature provides new options for zipl and
+zgetdump to generate and read multi-volume dumps, eliminating restrictions on
main memory.

- Added vmconvert option to vmur tool
-This feature modifies the vmur tool to automatically convert vmdumps when
-requested. This is implemented by adding an option to the vmur tool, that when
-set, inteprets dat read from the vm reader and converts that dump immediately
+This feature modifies the vmur tool to automatically convert vmdumps to
+a Linux readable dump format when requested. This is implemented by adding a
+new option "--convert" to the vmur tool, that when
+set, interprets data read from the vm reader and converts that dump immediately
using vmconvert. This feature provides a simpler method for access to problem
analysis data, which results in faster problem determination.

- FCP Performance Data Collection & Analysis (userspace)
-This item will make possible to have a better understanding of the SCSi
+This item will make it possible to have a better understanding of the SCSI
activities and performance of end systems, being able afterward to better solve
FCP issues regarding SCSI workloads.

@@ -56,35 +53,10 @@
Linux console for many Linux Administrators, who frequently find the z/VM 3270
interface inadequate.

-- DS8000 Large Volume Support
-
-
Other enhancements in this rebase include:
* lscss: Show also non-IO subchannels
-* lsdasd: New output format
+* lsdasd: New output format (new "--compat" option for old format)
* lstape: Show also SCSI tapes
-* zipl dump tools: SCLP console support + MV support
-* networking tools: Adjust to new qeth driver (not needed)
-* DASD tools: Large volume support (not needed)
+* zipl dump tools: SCLP console support
* dump tools: Add support for "Automatic IPL after dump"
-* DASD related tools: Add Large Volume Support for ECKD DASDs
-* vmur: Add "--convert" option
-* lsluns: Add "--active" option
-* dasdview: Add "--characteristic" option
* tunedasd: Normalize profile data
-* ziorep_config: Fix the ignore case settings for vommand-line parameters
-* ziorep_config: Fix incomplete pattern matching leading to worng results
-* ziorep_config: Fix wrong sysfs attribute usage
-* blkiomon: Fix aggregation of blkiomon data, was omitting final bucket
-* ziorep_traffic: Fix error message for unknown chipids
-* ziorep_traffic: Fix broken '-u' parameter
-* ziomon: Fix multipath device resolution
-* ziorep_traffic & ziorep_utilization: Fix daylight savings time issue
-  when handling data from a differen DST setting
-* ziorep_traffic: Write all errors to stderr
-* ziomon: Adjust estimate of .log file
-* ziorep_traffic & ziorep_utilization: Adjust starting time as reported
-  by summary reports
-* ziorep_traffic & ziorep_utilization: Drop excess data in case of user-
-  specified intervals not matching data boundaries
Comment 65 Shawn Wells 2009-07-08 17:54:10 EDT
(In reply to comment #63)
> ------- Comment From michael.holzheu@de.ibm.com 2009-07-07 07:03 EDT-------
> I found some typos and inconsistencies:
> * I wouldn't list ziomon/ziorep fixes, because the tools are new in RHEL5.
> * I wouldn't list items at the end that have already be described before (e.g.
> vmur --convert).
> * VMCMD is the first time available for RHEL5. Therefore the sentence "This
> features improves the flexibility of VMCMD, which was before restricted to one
> command." is not correct.
> * We should not mention "DS8000 Large Volume Support" at all, because in
> RHEL5.4 we do not have the DASD driver support for that feature. Therefore the
> support in s390-tools has no effect.
> 
> Here my proposal as patch:
> 
> --- rl.orig     2009-07-07 12:37:34.000000000 +0200
> +++ rl.new      2009-07-07 13:03:16.000000000 +0200
> @@ -9,17 +9,13 @@
> 
> The new Shutdown Action Tools are: chreipl, chshut, lsreipl, lsshut
> 
> -
> - DS8000 Disk Encryption
> -This item allows the customer, without having to ask the Storage administrator
> -if the physical disks where his data is being stored are encrypted or not.
> -
> +This item allows the customer to query, if the physical disks where his data
> is being stored are encrypted or not, without having to ask the Storage
> administrator. This feature is provided by the tools "dasdview"
> (--characteristic option)
> +and "lsluns" (--active option).
> 
> - Shutdown actions interface (userspace tools)
> -Update to dumpconf, part of s390-tools, to support Shutdown actions interface
> -(kernel). This features improves the flexibility of VMCMD, which was before
> -restricted to
> -one command.
> +Update to dumpconf, part of s390-tools, to support the enhanced shutdown
> actions interface
> +(kernel).
> 
> This update allows to introduce up to 5 VM commands. For example:
> ON_PANIC=vmcmd
> @@ -29,19 +25,20 @@
> 
> - Large image dump on DASD
> Newer hardware systems allow many terabytes of main memory, which is unable to
> -previously be dumped to DASD. This feature proves new options for zipl and
> -zgetdump to generate read and multi-volume dumps, eliminating restrictions on
> +previously be dumped to DASD. This feature provides new options for zipl and
> +zgetdump to generate and read multi-volume dumps, eliminating restrictions on
> main memory.
> 
> - Added vmconvert option to vmur tool
> -This feature modifies the vmur tool to automatically convert vmdumps when
> -requested. This is implemented by adding an option to the vmur tool, that when
> -set, inteprets dat read from the vm reader and converts that dump immediately
> +This feature modifies the vmur tool to automatically convert vmdumps to
> +a Linux readable dump format when requested. This is implemented by adding a
> +new option "--convert" to the vmur tool, that when
> +set, interprets data read from the vm reader and converts that dump
> immediately
> using vmconvert. This feature provides a simpler method for access to problem
> analysis data, which results in faster problem determination.
> 
> - FCP Performance Data Collection & Analysis (userspace)
> -This item will make possible to have a better understanding of the SCSi
> +This item will make it possible to have a better understanding of the SCSI
> activities and performance of end systems, being able afterward to better solve
> FCP issues regarding SCSI workloads.
> 
> @@ -56,35 +53,10 @@
> Linux console for many Linux Administrators, who frequently find the z/VM 3270
> interface inadequate.
> 
> -- DS8000 Large Volume Support
> -
> -
> Other enhancements in this rebase include:
> * lscss: Show also non-IO subchannels
> -* lsdasd: New output format
> +* lsdasd: New output format (new "--compat" option for old format)
> * lstape: Show also SCSI tapes
> -* zipl dump tools: SCLP console support + MV support
> -* networking tools: Adjust to new qeth driver (not needed)
> -* DASD tools: Large volume support (not needed)
> +* zipl dump tools: SCLP console support
> * dump tools: Add support for "Automatic IPL after dump"
> -* DASD related tools: Add Large Volume Support for ECKD DASDs
> -* vmur: Add "--convert" option
> -* lsluns: Add "--active" option
> -* dasdview: Add "--characteristic" option
> * tunedasd: Normalize profile data
> -* ziorep_config: Fix the ignore case settings for vommand-line parameters
> -* ziorep_config: Fix incomplete pattern matching leading to worng results
> -* ziorep_config: Fix wrong sysfs attribute usage
> -* blkiomon: Fix aggregation of blkiomon data, was omitting final bucket
> -* ziorep_traffic: Fix error message for unknown chipids
> -* ziorep_traffic: Fix broken '-u' parameter
> -* ziomon: Fix multipath device resolution
> -* ziorep_traffic & ziorep_utilization: Fix daylight savings time issue
> -  when handling data from a differen DST setting
> -* ziorep_traffic: Write all errors to stderr
> -* ziomon: Adjust estimate of .log file
> -* ziorep_traffic & ziorep_utilization: Adjust starting time as reported
> -  by summary reports
> -* ziorep_traffic & ziorep_utilization: Drop excess data in case of user-
> -  specified intervals not matching data boundaries  





Looks good to me, and thanks for pointing out these issues.  Please do update the release notes to your patch.
Comment 66 IBM Bug Proxy 2009-07-09 05:31:59 EDT
------- Comment From michael.holzheu@de.ibm.com 2009-07-09 05:22 EDT-------
Hi Shawn,

Not sure, who you mean with "you"...
I assume that >>you<< will update the release notes, right?
Comment 67 IBM Bug Proxy 2009-07-16 10:43:07 EDT
------- Comment From mgrf@de.ibm.com 2009-07-16 10:38 EDT-------
This feature is verified on RHEL 5.4 beta.

Closing feature request. Thx
Comment 68 IBM Bug Proxy 2009-07-16 10:44:41 EDT
------- Comment From mgrf@de.ibm.com 2009-07-16 10:37 EDT-------
Comment 69 IBM Bug Proxy 2009-07-16 10:45:54 EDT
------- Comment From mgrf@de.ibm.com 2009-07-16 10:35 EDT-------
Comment 70 IBM Bug Proxy 2009-07-16 10:47:09 EDT
------- Comment From mgrf@de.ibm.com 2009-07-16 10:31 EDT-------
The reported BZ is resolved and verified OK on snap1.

LTC 54238  -  When cpuplugd daemon is executed with only memory configuration it is not running , but when the daemon is executed with only CPU configuration it is running fine.
Comment 71 IBM Bug Proxy 2009-07-16 10:51:43 EDT
------- Comment From mgrf@de.ibm.com 2009-07-16 10:40 EDT-------
Comment 72 IBM Bug Proxy 2009-07-16 11:02:06 EDT
------- Comment From mgrf@de.ibm.com 2009-07-16 10:52 EDT-------

The reported BZ is verified OK on snap1
LTC 54151   -  RIT309150- Unsupported blkiomon version found in package with ziomon
Comment 73 IBM Bug Proxy 2009-07-17 04:11:15 EDT
------- Comment From mgrf@de.ibm.com 2009-07-17 04:00 EDT-------
Feature is verified on 5.4 beta
Comment 74 Ryan Lerch 2009-07-28 04:18:12 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,3 +1,9 @@
+Release Note:
+
+In Red Hat Enterprise Linux 5.4, the s390utils package has been rebased to version 1.8.1. For a full list of features that this rebase provides, please refer to the Package Updates section of the Technical Notes
+
+
+Technical Note:
 In Red Hat Enterprise Linux 5.4, the s390utils package has been re-based to versio 1.8.1. This new version includes such features as:
 
 - Shutdown Action Tools
Comment 76 IBM Bug Proxy 2009-08-03 04:01:25 EDT
------- Comment From mgrf@de.ibm.com 2009-08-03 03:54 EDT-------
Feature verified on RHEL 5.4 snapshots  - closing feature request
Comment 77 IBM Bug Proxy 2009-08-03 12:31:26 EDT
------- Comment From mgrf@de.ibm.com 2009-08-03 12:21 EDT-------
Verified on RHEL 5.4 snapshots - closing feature request
Comment 78 IBM Bug Proxy 2009-08-03 12:41:28 EDT
------- Comment From mgrf@de.ibm.com 2009-08-03 12:32 EDT-------
Comment 79 Shawn Wells 2009-08-10 20:13:55 EDT
Fixed typo in technical note field
Comment 80 Shawn Wells 2009-08-10 20:13:55 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -4,7 +4,7 @@
 
 
 Technical Note:
-In Red Hat Enterprise Linux 5.4, the s390utils package has been re-based to versio 1.8.1. This new version includes such features as:
+In Red Hat Enterprise Linux 5.4, the s390utils package has been re-based to version 1.8.1. This new version includes such features as:
 
 - Shutdown Action Tools
 This feature provides tools to configure a (one-time) shutdown action via the
Comment 82 IBM Bug Proxy 2009-08-21 08:41:34 EDT
------- Comment From mgrf@de.ibm.com 2009-08-21 08:32 EDT-------
This is verified on RHEL 5.4 snapshots
Comment 83 errata-xmlrpc 2009-09-02 05:58:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1311.html